using System.Runtime.InteropServices.WindowsRuntime;
using UnityEngine;

public interface IState {
  public void Initialize(Transform ownerTransform);
  public void Start();
  public void Tick();
  public void Stop();
  public virtual IState GetNextState() => null;
}
